Skip to main content
POST

Authorizations

x-revolv3-token
string
header
required

Headers

Client-Request-Id
string

Optional identifier generated by the client to match its own logs with this request.

Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.

Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.

A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support. An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]{1,128}$

Path Parameters

paymentMethodId
integer<int64>
required

The unique identifier for the payment method information

Body

invoice
object
required
customerId
integer<int64> | null

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
includeRawProcessorResponse
boolean | null
default:false

Determine whether to return raw processor data in the response.

dynamicDescriptor
object
reportGroup
string | null

Report Groups could be used to separate your transactions into different categories, so you can view the financial reports by your specific report group names (Worldpay only).

networkProcessing
object
onlinePaymentCryptogram
string | null

Decrypted package online payment cryptogram for a digital wallet.

Maximum string length: 512

Response

OK

customerId
integer<int64> | null

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
invoiceId
integer<int64>

The unique identifier of the invoice.

Required range: 1 <= x <= 1000000000
merchantInvoiceRefId
string | null

Merchant's unique identifier for the invoice.

Maximum string length: 100
merchantPaymentMethodRefId
string | null

Merchant's unique identifier for the payment method.

Maximum string length: 100
networkTransactionId
string | null

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
invoiceStatus
string | null

The current status of the invoice.

Possible values: Paid, Pending, Noncollectable, Failed, OneTimePaymentPending, RetryPending.

Maximum string length: 100
invoiceAttemptStatus
string | null

The status of the invoice attempt.

Possible values: Success, Fail, Pending, RetrySuccess, RetryFail, RetryPending.

Maximum string length: 100
message
string | null

The message returned directly from payment processor or a special message provided by system.

Maximum string length: 500
amount
object
paymentMethodId
integer<int64>

The unique identifier for the payment method information.

Required range: 1 <= x <= 1000000000
paymentMethodTypeId
integer<int64>

Specifies the type of payment method used for the transaction. Examples include CreditCard (1), Ach (2), GooglePay (3) and ApplePay (4).

Required range: 1 <= x <= 1000000000
paymentProcessor
string | null

The name of the processor by which the transaction was processed.

Maximum string length: 100
processorMerchantId
string | null

The merchant account ID (MID) of the processor by which the transaction was processed.

Maximum string length: 100
rawResponse
string | null

Conditional. The value is returned if includeRawProcessorResponse = true. This field contains the raw data received from the processor after attempting to bill this payment. It does not contain any sensitive information. The field value is a string with the serialized response from the processor in JSON format.

Maximum string length: 10000
paymentMethodCreditCardDetails
object | null

The details of credit card payment method.

responseMessage
string | null

The processor response message.

Maximum string length: 500
responseCode
string | null

The processor response code.

Maximum string length: 10
processorResponseDateTime
string<date-time> | null

UTC timestamp of the payment processor response (format: YYYY-MM-DDThh:mm:ss).

Maximum string length: 40
authCode
string | null

Transaction authorization code.

Maximum string length: 20
processorTransactionId
string | null

Payment Processor Transaction Id.

Maximum string length: 100
revolv3ResponseCode
string | null

Standardized internal response code indicating the outcome of the request.

Maximum string length: 10
revolv3ResponseMessage
string | null

Message providing additional details about the response code.

Maximum string length: 500